package com.siwei.rsmonitoring.service;

import java.util.List;
import java.util.Map;

import com.siwei.rsmonitoring.domain.TDkFieldwork;

/**
 * 地块外业分配Service接口
 *
 * @author siwei
 * @date 2025-01-21
 */
public interface ITDkFieldworkService {
    /**
     * 查询地块外业分配
     *
     * @param id 地块外业分配主键
     * @return 地块外业分配
     */
    public TDkFieldwork selectTDkFieldworkById(String id);

    public Map<String, Object> hcCount(String userId);

    /**
     * 查询地块外业分配列表
     *
     * @param tDkFieldwork 地块外业分配
     * @return 地块外业分配集合
     */
    public List<TDkFieldwork> selectTDkFieldworkList(TDkFieldwork tDkFieldwork);

    /**
     * 新增地块外业分配
     *
     * @param tDkFieldwork 地块外业分配
     * @return 结果
     */
    public int insertTDkFieldwork(TDkFieldwork tDkFieldwork);

    public int addSTDkFieldwork(TDkFieldwork tDkFieldwork);

    public int removeSTDkFieldwork(TDkFieldwork tDkFieldwork);

    public int confirmTDkFieldwork(TDkFieldwork tDkFieldwork);



    /**
     * 修改地块外业分配
     *
     * @param tDkFieldwork 地块外业分配
     * @return 结果
     */
    public int updateTDkFieldwork(TDkFieldwork tDkFieldwork);

    /**
     * 批量删除地块外业分配
     *
     * @param ids 需要删除的地块外业分配主键集合
     * @return 结果
     */
    public int deleteTDkFieldworkByIds(String[] ids);

    /**
     * 删除地块外业分配信息
     *
     * @param id 地块外业分配主键
     * @return 结果
     */
    public int deleteTDkFieldworkById(String id);
}
